Summary:         high-level API (toolkit) allowing the application programmer to construct and inject network packets.
Name:            libnet
Version:         1.0.2a
Release:         0.fdr.1.rh80
Epoch:           0
URL:             http://www.packetfactory.net/libnet/
License:         BSD
Group:           System Environment/Libraries
Source0:         http://www.packetfactory.net/libnet/dist/deprecated/libnet-1.0.2a.tar.gz    
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root    

%description
Libnet is a high-level API (toolkit) allowing the application programmer to construct and inject network packets. It provides a portable and simplified interface for low-level network packet shaping, handling and injection. Libnet hides much of the tedium of packet creation from the application programmer such as multiplexing, buffer management, arcane packet header information, byte-ordering, OS-dependent issues, and much more. Libnet features portable packet creation interfaces at the IP layer and link layer, as well as a host of supplementary and complementary functionality. Using libnet, quick and simple packet assembly applications can be whipped up with little effort. With a bit more time, more complex programs can be written (Traceroute and ping were easily rewritten using libnet and libpcap).

Libnet was designed and is primarily maintained by Mike D. Schiffman (mike at infonexus dot com) and a host of other people (please see the libnet documentation for the complete list of contributers). 

#---------------------------------------------------------------------

%prep
%setup -q -n Libnet-1.0.2a

#---------------------------------------------------------------------

%build
%configure
make %{?_smp_mflags}

#---------------------------------------------------------------------

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

#---------------------------------------------------------------------

%clean
rm -rf %{buildroot}

#---------------------------------------------------------------------

%post -p /sbin/ldconfig

#---------------------------------------------------------------------

%postun -p /sbin/ldconfig

#---------------------------------------------------------------------

%files
%defattr(-,root,root,-)
%doc README doc/COPYING doc/CHANGELOG
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*
/usr/man/man3/*


#---------------------------------------------------------------------

%changelog
* Mon Apr 07 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.0.2a-0.fdr.1
- Initial Release.
